/**
  BROWSER SUPPORT
  +----------------+------+---------+--------+----------+------------+-------+
  |                | Edge | Firefox | Chrome | Safari   | iOS Safari | Opera |
  +================+======+=========+========+==========+============+=======+
  |          WOFF2 | 14+  | 39+     | 36+    | 12+      | 10+        | 23+   |
  +----------------+------+---------+--------+----------+------------+-------+
  | Variable fonts | 17+  | *62+    | 62+    | *11+/13+ | 11+        | 49+   |
  +----------------+------+---------+--------+----------+------------+-------+
 */

/* region Open Sans */
@font-face {
  font-weight: 300;
  font-family: "Open Sans";
  font-style: normal;
  src:
    local(""),
    url("open-sans-v29-300.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 300;
  font-family: "Open Sans";
  font-style: italic;
  src:
    local(""),
    url("open-sans-v29-300italic.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 400;
  font-family: "Open Sans";
  font-style: normal;
  src:
    local(""),
    url("open-sans-v29-400.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 400;
  font-family: "Open Sans";
  font-style: italic;
  src:
    local(""),
    url("open-sans-v29-400italic.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 500;
  font-family: "Open Sans";
  font-style: normal;
  src:
    local(""),
    url("open-sans-v29-500.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 500;
  font-family: "Open Sans";
  font-style: italic;
  src:
    local(""),
    url("open-sans-v29-500italic.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 600;
  font-family: "Open Sans";
  font-style: normal;
  src:
    local(""),
    url("open-sans-v29-600.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 600;
  font-family: "Open Sans";
  font-style: italic;
  src:
    local(""),
    url("open-sans-v29-600italic.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 700;
  font-family: "Open Sans";
  font-style: normal;
  src:
    local(""),
    url("open-sans-v29-700.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 700;
  font-family: "Open Sans";
  font-style: italic;
  src:
    local(""),
    url("open-sans-v29-700italic.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 800;
  font-family: "Open Sans";
  font-style: normal;
  src:
    local(""),
    url("open-sans-v29-800.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 800;
  font-family: "Open Sans";
  font-style: italic;
  src:
    local(""),
    url("open-sans-v29-800italic.woff2") format("woff2");
  font-display: swap;
}

/* endregion Open Sans */

/* region Open Sans Semi Condensed */

@font-face {
  font-weight: 300;
  font-family: "Open Sans";
  font-style: normal;
  font-stretch: semi-condensed;
  src:
    local(""),
    url("open-sans-semi-condensed-v29-300.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 300;
  font-family: "Open Sans";
  font-style: italic;
  font-stretch: semi-condensed;
  src:
    local(""),
    url("open-sans-semi-condensed-v29-300italic.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 400;
  font-family: "Open Sans";
  font-style: normal;
  font-stretch: semi-condensed;
  src:
    local(""),
    url("open-sans-semi-condensed-v29-400.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 400;
  font-family: "Open Sans";
  font-style: italic;
  font-stretch: semi-condensed;
  src:
    local(""),
    url("open-sans-semi-condensed-v29-400italic.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 500;
  font-family: "Open Sans";
  font-style: normal;
  font-stretch: semi-condensed;
  src:
    local(""),
    url("open-sans-semi-condensed-v29-500.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 500;
  font-family: "Open Sans";
  font-style: italic;
  font-stretch: semi-condensed;
  src:
    local(""),
    url("open-sans-semi-condensed-v29-500italic.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 600;
  font-family: "Open Sans";
  font-style: normal;
  font-stretch: semi-condensed;
  src:
    local(""),
    url("open-sans-semi-condensed-v29-600.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 600;
  font-family: "Open Sans";
  font-style: italic;
  font-stretch: semi-condensed;
  src:
    local(""),
    url("open-sans-semi-condensed-v29-600italic.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 700;
  font-family: "Open Sans";
  font-style: normal;
  font-stretch: semi-condensed;
  src:
    local(""),
    url("open-sans-semi-condensed-v29-700.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 700;
  font-family: "Open Sans";
  font-style: italic;
  font-stretch: semi-condensed;
  src:
    local(""),
    url("open-sans-semi-condensed-v29-700italic.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 800;
  font-family: "Open Sans";
  font-style: normal;
  font-stretch: semi-condensed;
  src:
    local(""),
    url("open-sans-semi-condensed-v29-800.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 800;
  font-family: "Open Sans";
  font-style: italic;
  font-stretch: semi-condensed;
  src:
    local(""),
    url("open-sans-semi-condensed-v29-800italic.woff2") format("woff2");
  font-display: swap;
}

/* endregion Open Sans Semi Condensed */

/* region Open Sans Condensed */

@font-face {
  font-weight: 300;
  font-family: "Open Sans";
  font-style: normal;
  font-stretch: condensed;
  src:
    local(""),
    url("open-sans-condensed-v29-300.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 300;
  font-family: "Open Sans";
  font-style: italic;
  font-stretch: condensed;
  src:
    local(""),
    url("open-sans-condensed-v29-300italic.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 400;
  font-family: "Open Sans";
  font-style: normal;
  font-stretch: condensed;
  src:
    local(""),
    url("open-sans-condensed-v29-400.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 400;
  font-family: "Open Sans";
  font-style: italic;
  font-stretch: condensed;
  src:
    local(""),
    url("open-sans-condensed-v29-400italic.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 500;
  font-family: "Open Sans";
  font-style: normal;
  font-stretch: condensed;
  src:
    local(""),
    url("open-sans-condensed-v29-500.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 500;
  font-family: "Open Sans";
  font-style: italic;
  font-stretch: condensed;
  src:
    local(""),
    url("open-sans-condensed-v29-500italic.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 600;
  font-family: "Open Sans";
  font-style: normal;
  font-stretch: condensed;
  src:
    local(""),
    url("open-sans-condensed-v29-600.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 600;
  font-family: "Open Sans";
  font-style: italic;
  font-stretch: condensed;
  src:
    local(""),
    url("open-sans-condensed-v29-600italic.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 700;
  font-family: "Open Sans";
  font-style: normal;
  font-stretch: condensed;
  src:
    local(""),
    url("open-sans-condensed-v29-700.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 700;
  font-family: "Open Sans";
  font-style: italic;
  font-stretch: condensed;
  src:
    local(""),
    url("open-sans-condensed-v29-700italic.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 800;
  font-family: "Open Sans";
  font-style: normal;
  font-stretch: condensed;
  src:
    local(""),
    url("open-sans-condensed-v29-800.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-weight: 800;
  font-family: "Open Sans";
  font-style: italic;
  font-stretch: condensed;
  src:
    local(""),
    url("open-sans-condensed-v29-800italic.woff2") format("woff2");
  font-display: swap;
}

/* endregion Open Sans Condensed */

@supports (font-variation-settings: normal) {
  @font-face {
    font-weight: 300 800;
    font-family: 'Open Sans';
    font-stretch: 75% 100%;
    src: url('open-sans-v29-variable.woff2') format('woff2');
  }

  @font-face {
    font-weight: 300 800;
    font-family: 'Open Sans';
    font-style: italic;
    font-stretch: 75% 100%;
    src: url('open-sans-v29-variable-italic.woff2') format("woff2");
  }
}
